Package javax.help

# Class SearchView

java.lang.Object
javax.help.NavigatorView
javax.help.SearchView

All Implemented Interfaces:
  `Serializable`

public class SearchView extends NavigatorView
Navigational View information for a Search

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SearchView(HelpSet hs, String name, String label, Hashtable params)`
Constructs a SearchView with some given data.
`SearchView(HelpSet hs, String name, String label, Locale locale, Hashtable params)`
Constructs a SearchView with some given data.

## Method Summary

Modifier and Type
Method
Description
`Component`
`createNavigator(HelpModel model)`
Creates a navigator for a given model.

### Methods inherited from class javax.help.NavigatorView

`create, getHelpSet, getImageID, getLabel, getLabel, getLocale, getMergeType, getName, getParameters`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SearchView

public SearchView(HelpSet hs, String name, String label, Hashtable params)
Constructs a SearchView with some given data. Locale of the View defaults to that of the HelpSet.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `params` - A hashtable that provides different key/values for this type.
  `locale` - The default locale to interpret the data in this TOC.

### SearchView

public SearchView(HelpSet hs, String name, String label, Locale locale, Hashtable params)
Constructs a SearchView with some given data.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `locale` - The default locale to interpret the data in this TOC.
  `params` - A hashtable that provides different key/values for this type.

## Method Details

### createNavigator

public Component createNavigator(HelpModel model)
Creates a navigator for a given model.

Specified by:
  `createNavigator` in class `NavigatorView`
Parameters:
  `model` - The model for the Navigator.